#ifndef _TELNET_H
#	define _TELNET_H

#include <app/Application.h>
#include <app/Message.h>
#include <interface/Rect.h>
#include <storage/Entry.h>

class TelnetApp: public BApplication {
private:
	long num_windows;
	bool opening;

	bool AddWindow(const char *host, const char *port, BRect frame, entry_ref *ref = NULL);
	bool AddWindow(const char *host, const char *port);
	bool AddWindow(entry_ref *ref);

public:
	TelnetApp();
	
	virtual void AboutRequested();
	virtual void ArgvReceived(int32 argc, char **argv);
	virtual void MessageReceived(BMessage *msg);
	virtual void ReadyToRun();
	virtual void RefsReceived(BMessage *msg);
};

#endif /* _TELNET_H */